%define  upstream_name ImageAnalysis
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.1.3
Release:	%mkrel 2
Summary:	This class allows you to analyse image files in different ways. At least the
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
This class allows you to analyse image files in different ways. At least
the
MIME type of the file is returned. In some cases (JPEG, TIFF and GIF)
additional information is gathered as well.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/ImageAnalysis.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/ImageAnalysis.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/ImageAnalysis
fi

%files
%defattr(-,root,root)
%doc docs/ImageAnalysis/*
%{peardir}/data/ImageAnalysis/design/class_diagram.png
%{peardir}/data/ImageAnalysis/design/imageanalysis.png
%{peardir}/data/ImageAnalysis/design/imageanalysis.xml
%{peardir}/ezc/ImageAnalysis/analyzer.php
%{peardir}/ezc/ImageAnalysis/exceptions/exception.php
%{peardir}/ezc/ImageAnalysis/exceptions/file_not_processable.php
%{peardir}/ezc/ImageAnalysis/exceptions/invalid_handler.php
%{peardir}/ezc/ImageAnalysis/handlers/imagemagick.php
%{peardir}/ezc/ImageAnalysis/handlers/php.php
%{peardir}/ezc/ImageAnalysis/image_analyzer_autoload.php
%{peardir}/ezc/ImageAnalysis/interfaces/handler.php
%{peardir}/ezc/ImageAnalysis/structs/analyzer_data.php
%{peardir}/ezc/autoload/image_analyzer_autoload.php

%{xmldir}/ImageAnalysis.xml


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.1.3-2.mga3
+ Revision: 349929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 17 2011 spuhler <spuhler> 1.1.3-1.mga2
+ Revision: 125019
- imported package ezcomponents-ImageAnalysis

